Subject: Re: [PATCH 1/3] git-gui/Makefile: Replace libdir with gitgui_libdir

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 5 Sep 2007 22:32:27 -0400

"Dmitry V. Levin" <[email-masked]> wrote:
> On GNU/Linux, libdir is used to mean "/usr/lib or /usr/lib64"
> depending on architecture.  Different libdir meaning breaks
> idiomatic expressions like rpm specfile "make libdir=%_libdir".
> 
> Signed-off-by: Dmitry V. Levin <[email-masked]>
> ---
>  git-gui/Makefile |   16 ++++++++--------
>  1 files changed, 8 insertions(+), 8 deletions(-)

Although I could apply this with `am -3` I'm NACK'ing this right
now because...
 
> diff --git a/git-gui/Makefile b/git-gui/Makefile
> index 1bac6fe..f143b2c 100644
> --- a/git-gui/Makefile
> +++ b/git-gui/Makefile
> @@ -76,8 +76,8 @@ SHELL_PATH_SQ = $(subst ','\'',$(SHELL_PATH))
>  TCL_PATH_SQ = $(subst ','\'',$(TCL_PATH))
>  TCLTK_PATH_SQ = $(subst ','\'',$(TCLTK_PATH))
>  
> -libdir   ?= $(sharedir)/git-gui/lib
> -libdir_SQ = $(subst ','\'',$(libdir))
> +gitgui_libdir   ?= $(sharedir)/git-gui/lib
> +gitgui_libdir_SQ = $(subst ','\'',$(gitgui_libdir))

git-gui is its own project with its own Makefile.  Junio includes
it in git.git to help widen its audience, and because it is quite
portable and easy for him to include.   In the future git-gui will
become a proper subproject of git.git.

If you want to define libdir in git's toplevel Makefile *and*
that definition is being exported down into git-gui's Makefile
then I think git's toplevel Makefile should arrange for it to
not export libdir down into git-gui.

Of course one has to wonder if that is even possible in GNU make.
I'm not a GNU make expert so I don't really know.

-- 
Shawn.